Subject: Re: [RFC net-next 0/5] devlink: Add unique identifier to devlink port function

From: Jakub Kicinski <[email-masked]>
Date: Thu, 24 Apr 2025 16:24:25 -0700

On Wed, 23 Apr 2025 16:50:37 +0300 Moshe Shemesh wrote:
> A function unique identifier (UID) is a vendor defined string of
> arbitrary length that universally identifies a function. The function
> UID can be reported by device drivers via devlink dev info command.
> 
> This patch set adds UID attribute to devlink port function that reports
> the UID of the function that pertains to the devlink port. Code is also
> added to mlx5 as the first user to implement this attribute.
> 
> The main purpose of adding this attribute is to allow users to
> unambiguously map between a function and the devlink port that manages
> it, which might be on another host.
> 
> For example, one can retrieve the UID of a function using the "devlink
> dev info" command and then search for the same UID in the output of
> "devlink port show" command.
> 
> The "devlink dev info" support for UID of a function is added by a
> separate patchset [1]. This patchset is submitted as an RFC to
> illustrate the other side of the solution.
> 
> Other existing identifiers such as serial_number or board.serial_number
> are not good enough as they don't guarantee uniqueness per function. For
> example, in a multi-host NIC all PFs report the same value.

Makes sense, tho, could you please use UUID?
Let's use industry standards when possible, not "arbitrary strings".